Retrieve Subscription Details
Retrieve detailed information about a specific customer subscription, including its billing history, purchased add-ons, and associated product meters.
import { Solifyn } from 'solifyn';
const solifyn = new Solifyn({ apiKey: 'your_private_api_key_here' });
// Retrieve a subscription
const subscription = await solifyn.subscriptions.get('sub_019e56a1...');
console.log('Subscription Detail:', subscription);{
"subscription": {
"id": "mem_123",
"status": "active",
"created_at": "2025-01-01T12:00:00.000Z",
"joined_at": "2025-01-01T12:00:00.000Z",
"updated_at": "2025-01-01T12:00:00.000Z",
"manage_url": "https://example.com/billing/manage/mber_123",
"member": {
"id": "mber_123"
},
"user": {
"id": "user_123",
"username": "johndoe",
"name": "John Doe",
"email": "john.doe@example.com"
},
"renewal_period_start": null,
"renewal_period_end": null,
"cancel_at_period_end": false,
"cancel_option": null,
"cancellation_reason": null,
"canceled_at": null,
"currency": "usd",
"company": {
"id": "biz_123",
"title": "Company Name"
},
"plan": {
"id": "plan_123",
"metadata": {}
},
"promo_code": null,
"product": {
"id": "prod_123",
"title": "Product Name",
"metadata": {}
},
"license_key": null,
"metadata": {
"is_usage_based": "false"
},
"payment_collection_paused": false,
"checkout_configuration_id": "ch_123",
"price": 99,
"type": "renewal",
"customerId": "cust_123"
},
"payments": [
{
"id": "pay_123",
"invoice_url": "https://solifyn.com/transactions/payments/pay_123/print",
"customer": {
"customer_id": "usr_123",
"email": "customer@example.com",
"name": "John Doe",
"username": "johndoe"
},
"total_amount": 2900,
"subtotal": 2900,
"tax_amount": 0,
"application_fee": 150,
"amount_after_fees": 2750,
"currency": "usd",
"status": "paid",
"created_at": "2026-05-22T08:00:00Z",
"payment_method": "card",
"product_cart": [
{
"id": "prod_123",
"name": "SaaS Pro Access",
"quantity": 1,
"price": 2900,
"pricingType": "one_time"
}
],
"refundable": true,
"businessId": "biz_123",
"businessName": "Acme SaaS Corp",
"usdTotal": 30.6,
"paidAt": "2026-05-22T08:05:00Z",
"card_last_four": "4242",
"card_network": "visa",
"card_type": "visa",
"billing": {
"street": "123 Main St",
"city": "San Francisco",
"state": "CA",
"zipcode": "94105",
"country": "US"
},
"metadata": {},
"order": {
"filesSnapshot": [
"<string>"
],
"licenseKey": "FYN-XXXX-YYYY",
"status": "completed"
},
"refunds": [
{
"refund_id": "ref_123",
"payment_id": "pay_123",
"amount": 1000,
"currency": "usd",
"status": "succeeded",
"is_partial": true,
"created_at": "2026-05-22T08:00:00Z",
"reason": "requested_by_customer"
}
],
"billing_reason": "subscription_cycle"
}
],
"purchasedAddons": [
{
"productId": "prod_addon_123",
"name": "Extra Seats add-on",
"imageUrl": null,
"quantity": 3
}
],
"product": {
"id": "prod_123",
"name": "My Pro Product",
"price": 99,
"currency": "usd",
"pricingType": "renewal",
"metadata": {}
}
}Authorizations
Authenticate requests using your standard bearer API key (e.g. YOUR_API_KEY).
Path Parameters
The customer subscription ID
"mem_123"
Response
Subscription details retrieved successfully.
Represents detailed information about a customer subscription including active base product configuration, billing and payment history, and purchased add-ons.
The main subscription details
Show child attributes
Show child attributes
The subscription payments / invoice billing history
Show child attributes
Show child attributes
List of purchased addons associated with this subscription
Show child attributes
Show child attributes
The core product information associated with this subscription
Show child attributes
Show child attributes
import { Solifyn } from 'solifyn';
const solifyn = new Solifyn({ apiKey: 'your_private_api_key_here' });
// Retrieve a subscription
const subscription = await solifyn.subscriptions.get('sub_019e56a1...');
console.log('Subscription Detail:', subscription);{
"subscription": {
"id": "mem_123",
"status": "active",
"created_at": "2025-01-01T12:00:00.000Z",
"joined_at": "2025-01-01T12:00:00.000Z",
"updated_at": "2025-01-01T12:00:00.000Z",
"manage_url": "https://example.com/billing/manage/mber_123",
"member": {
"id": "mber_123"
},
"user": {
"id": "user_123",
"username": "johndoe",
"name": "John Doe",
"email": "john.doe@example.com"
},
"renewal_period_start": null,
"renewal_period_end": null,
"cancel_at_period_end": false,
"cancel_option": null,
"cancellation_reason": null,
"canceled_at": null,
"currency": "usd",
"company": {
"id": "biz_123",
"title": "Company Name"
},
"plan": {
"id": "plan_123",
"metadata": {}
},
"promo_code": null,
"product": {
"id": "prod_123",
"title": "Product Name",
"metadata": {}
},
"license_key": null,
"metadata": {
"is_usage_based": "false"
},
"payment_collection_paused": false,
"checkout_configuration_id": "ch_123",
"price": 99,
"type": "renewal",
"customerId": "cust_123"
},
"payments": [
{
"id": "pay_123",
"invoice_url": "https://solifyn.com/transactions/payments/pay_123/print",
"customer": {
"customer_id": "usr_123",
"email": "customer@example.com",
"name": "John Doe",
"username": "johndoe"
},
"total_amount": 2900,
"subtotal": 2900,
"tax_amount": 0,
"application_fee": 150,
"amount_after_fees": 2750,
"currency": "usd",
"status": "paid",
"created_at": "2026-05-22T08:00:00Z",
"payment_method": "card",
"product_cart": [
{
"id": "prod_123",
"name": "SaaS Pro Access",
"quantity": 1,
"price": 2900,
"pricingType": "one_time"
}
],
"refundable": true,
"businessId": "biz_123",
"businessName": "Acme SaaS Corp",
"usdTotal": 30.6,
"paidAt": "2026-05-22T08:05:00Z",
"card_last_four": "4242",
"card_network": "visa",
"card_type": "visa",
"billing": {
"street": "123 Main St",
"city": "San Francisco",
"state": "CA",
"zipcode": "94105",
"country": "US"
},
"metadata": {},
"order": {
"filesSnapshot": [
"<string>"
],
"licenseKey": "FYN-XXXX-YYYY",
"status": "completed"
},
"refunds": [
{
"refund_id": "ref_123",
"payment_id": "pay_123",
"amount": 1000,
"currency": "usd",
"status": "succeeded",
"is_partial": true,
"created_at": "2026-05-22T08:00:00Z",
"reason": "requested_by_customer"
}
],
"billing_reason": "subscription_cycle"
}
],
"purchasedAddons": [
{
"productId": "prod_addon_123",
"name": "Extra Seats add-on",
"imageUrl": null,
"quantity": 3
}
],
"product": {
"id": "prod_123",
"name": "My Pro Product",
"price": 99,
"currency": "usd",
"pricingType": "renewal",
"metadata": {}
}
}